Create social post
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"accountIds": [
"<string>"
],
"mediaUrls": [
"<string>"
],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": true,
"title": "<string>",
"hashtags": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
accountIds: ['<string>'],
mediaUrls: ['<string>'],
scheduledAt: '2023-11-07T05:31:56Z',
publishNow: true,
title: '<string>',
hashtags: ['<string>']
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-posts"
payload = {
"body": "<string>",
"accountIds": ["<string>"],
"mediaUrls": ["<string>"],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": True,
"title": "<string>",
"hashtags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"content": "<string>",
"mediaUrls": [
"<string>"
],
"hashtags": [
"<string>"
],
"linkUrl": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"status": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social posts
Create social post
Requires write:campaigns. Body: body, accountIds, optional mediaUrls, scheduledAt, publishNow. Creates/schedules via Late (not an email/sms/push campaign).
POST
/
api
/
v1
/
marketing
/
social-posts
Create social post
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"accountIds": [
"<string>"
],
"mediaUrls": [
"<string>"
],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": true,
"title": "<string>",
"hashtags": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
accountIds: ['<string>'],
mediaUrls: ['<string>'],
scheduledAt: '2023-11-07T05:31:56Z',
publishNow: true,
title: '<string>',
hashtags: ['<string>']
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-posts"
payload = {
"body": "<string>",
"accountIds": ["<string>"],
"mediaUrls": ["<string>"],
"scheduledAt": "2023-11-07T05:31:56Z",
"publishNow": True,
"title": "<string>",
"hashtags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"content": "<string>",
"mediaUrls": [
"<string>"
],
"hashtags": [
"<string>"
],
"linkUrl": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"status": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"providerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I